## PhoshQuickSetting

PhoshQuickSetting — A quick setting for the notification drawer

## Functions

GtkWidget * | phosh_quick_setting_new ()
void | phosh_quick_setting_set_status_icon ()
PhoshStatusIcon * | phosh_quick_setting_get_status_icon ()
void | phosh_quick_setting_open_settings_panel ()

## Properties

PhoshStatusIcon * | status-icon | Read

## Signals

void | long-pressed | Action

## Types and Values

#define | PHOSH_TYPE_QUICK_SETTING
struct | PhoshQuickSettingClass
| PhoshQuickSetting

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── PhoshQuickSetting

## Implemented Interfaces

PhoshQuickSetting implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Description

The PhoshQuickSetting is a widget which is meant to be placed inside the top drawer. It contains a GtkLabel and accepts one PhoshStatusIcon as a child. The info property of the PhoshStatusIcon is bind to the GtkLabel. A PhoshQuickSetting has two signals long_press and clicked, where the first is emited when the user performs a long press, the second signal is a normal single click.

## Functions

### phosh_quick_setting_new ()

    GtkWidget *
    phosh_quick_setting_new (void);

### phosh_quick_setting_set_status_icon ()

    void
    phosh_quick_setting_set_status_icon (PhoshQuickSetting *self,
                                         PhoshStatusIcon *widget);

### phosh_quick_setting_get_status_icon ()

    PhoshStatusIcon *
    phosh_quick_setting_get_status_icon (PhoshQuickSetting *self);

### phosh_quick_setting_open_settings_panel ()

    void
    phosh_quick_setting_open_settings_panel
                                   (const char *panel);

## Types and Values

### PHOSH_TYPE_QUICK_SETTING

    #define PHOSH_TYPE_QUICK_SETTING (phosh_quick_setting_get_type())

### struct PhoshQuickSettingClass

    struct PhoshQuickSettingClass {
      GtkButtonClass parent_class;
    };

### PhoshQuickSetting

    typedef struct _PhoshQuickSetting PhoshQuickSetting;

## Property Details

### The `“status-icon”` property

      “status-icon”              PhoshStatusIcon *

The status icon representing the quick setting.

Owner: PhoshQuickSetting

Flags: Read

## Signal Details

### The `“long-pressed”` signal

    void
    user_function (PhoshQuickSetting *phoshquicksetting,
                   gpointer           user_data)

Flags: Action